%define namesuffix      gazetteer
%define license		Public Domain
%define summary_prefix	U.S. Gazetteer
%define descr_prefix	%{summary_prefix} (1990)
%define src		ftp://ftp.dict.org/pub/dict/pre/dict-gazetteer-1.2-pre.tar.bz2
%define dict_filename	gazetteer

%define summ_desc_suf	for dictd

%define summary		%{summary_prefix} %{summ_desc_suf}
%define descr		%{descr_prefix} %{summ_desc_suf}
%define name		dictd-dictionaries-%{namesuffix}
%define version         0.1.0
%define release         3mdk
%define group           Databases

%define __dictzip       %(which dictzip)
%define dictd_name      dictd
%define dictd_version   1.5.5

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	%{license}
Group:		%{group}
Source:		%{src}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	%{dictd_name} = %{dictd_version}
Provides:	dictd-dictionary, dictd-dictionaries
Requires:	%{dictd_name} = %{dictd_version}

%description
%{descr}

%prep
%setup -c -q

%build
# dictzip the dict dictionary file, if it's not yet zipped
if ls *.dict >/dev/null 2>&1; then
	dictzip *.dict
fi

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/dict
cp %{dict_filename}*dict* %{buildroot}%{_datadir}/dict
cp %{dict_filename}*index* %{buildroot}%{_datadir}/dict

%clean
%{__rm} -rf %{buildroot}

%post
printf "database %%-10s\t{ data \"%{_datadir}/dict/%{dict_filename}.dict.dz\"\n" %{dict_filename} >> %{_sysconfdir}/dictd.conf
printf "\t\t\t  index \"%{_datadir}/dict/%{dict_filename}.index\" }\n" >> %{_sysconfdir}/dictd.conf
echo "Restarting dictd-server, because configuration has been changed..."
service dictd-server reload

%postun
tempfile=$(mktemp /tmp/%{name}.dictd.conf.XXXXXX)
cat %{_sysconfdir}/dictd.conf \
	| sed -e '/^database.*%{dict_filename}/d' \
	| sed -e '/^[	].*index.*%{dict_filename}/d' \
	> $tempfile
cat ${tempfile} > %{_sysconfdir}/dictd.conf
%{__rm} -f ${tempfile}
echo "Restarting dictd-server, because configuration has been changed..."
service dictd-server reload

%files
%defattr(644, root, root)
%{_datadir}/dict/%{dict_filename}*dict*
%{_datadir}/dict/%{dict_filename}*index*

%changelog
* Sun Feb 10 2002 Alexander Skwar <ASkwar.com> 0.1.0-3mdk
- Add Provides: dictd-dictionaries; Thanks to
  Peter Ruskin <peter_ruskin.net> for pointing this out!

* Fri Feb  8 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.0-2mdk
- Fix description

* Fri Feb  8 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.0-1mdk
- First release for MandrakeLinux
- Loosely based upon the RedHat SPEC by
  Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>, but split up into
  many small packages

